#
# spec file for package ghc-invertible
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name invertible
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.0.5
Release:        1.3
Summary:        Bidirectional arrows, bijective functions, and invariant functors
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-haskell-src-meta-devel
BuildRequires:  ghc-invariant-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-partial-isomorphisms-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroupoids-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
%endif

%description
Representations and operations for bidirectional arrows (total isomorphisms: an
arrow paired with its inverse). Classes for invariant functors and monoidal
functors. Includes a number of useful bijections and operations, as well as
interoperability with related packages.

Most users will want to import one or more of "Data.Invertible" qualified,
"Control.Invertible.Monoidal" unqualified, and any additional compatibility
modules.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%define cabal_configure_options -f-hlist -f-piso
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README

%changelog
* Mon Apr 23 2018 psimons@suse.com
- Update invertible to version 0.2.0.5.
  A more detailed change log is not available.
* Thu Apr 12 2018 psimons@suse.com
- Update invertible to version 0.2.0.4.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Fri May  5 2017 psimons@suse.com
- Update to version 0.2.0.2 revision 1 with cabal2obs.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 0.2.0.2 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.2.0 with cabal2obs.
